org.apache.cayenne.merge

## Class MergerFactory

- java.lang.Object
- - org.apache.cayenne.merge.MergerFactory

- Direct Known Subclasses:
    DB2MergerFactory, DerbyMergerFactory, H2MergerFactory, HSQLMergerFactory, IngresMergerFactory, MySQLMergerFactory, OpenBaseMergerFactory, OracleMergerFactory, PostgresMergerFactory, SQLServerMergerFactory, SybaseMergerFactory

      public class MergerFactory
      extends Object

  All `MergerToken`s should be created from a `MergerFactory` obtained from `DbAdapter.mergerFactory()` so that the `DbAdapter` are able to provide `MergerToken` subclasses.
  See Also:
    `DbAdapter.mergerFactory()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergerToken` | `createAddColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createAddColumnToModel(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createAddRelationshipToDb(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createAddRelationshipToModel(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createCreateTableToDb(DbEntity entity)`
    `MergerToken` | `createCreateTableToModel(DbEntity entity)`
    `MergerToken` | `createDropColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createDropColumnToModel(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createDropRelationshipToDb(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createDropRelationshipToModel(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createDropTableToDb(DbEntity entity)`
    `MergerToken` | `createDropTableToModel(DbEntity entity)`
    `MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetAllowNullToModel(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetColumnTypeToModel(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetNotNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetNotNullToModel(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetPrimaryKeyToDb(DbEntity entity, Collection<DbAttribute> primaryKeyOriginal, Collection<DbAttribute> primaryKeyNew, String detectedPrimaryKeyName)`
    `MergerToken` | `createSetPrimaryKeyToModel(DbEntity entity, Collection<DbAttribute> primaryKeyOriginal, Collection<DbAttribute> primaryKeyNew, String detectedPrimaryKeyName)`
    `MergerToken` | `createSetValueForNullToDb(DbEntity entity, DbAttribute column, ValueForNullProvider valueForNullProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergerFactory

          public MergerFactory()

  - ### Method Detail

    - #### createCreateTableToModel

          public MergerToken createCreateTableToModel(DbEntity entity)

    - #### createCreateTableToDb

          public MergerToken createCreateTableToDb(DbEntity entity)

    - #### createDropTableToModel

          public MergerToken createDropTableToModel(DbEntity entity)

    - #### createDropTableToDb

          public MergerToken createDropTableToDb(DbEntity entity)

    - #### createAddColumnToModel

          public MergerToken createAddColumnToModel(DbEntity entity,
                                                    DbAttribute column)

    - #### createAddColumnToDb

          public MergerToken createAddColumnToDb(DbEntity entity,
                                                 DbAttribute column)

    - #### createDropColumnToModel

          public MergerToken createDropColumnToModel(DbEntity entity,
                                                     DbAttribute column)

    - #### createDropColumnToDb

          public MergerToken createDropColumnToDb(DbEntity entity,
                                                  DbAttribute column)

    - #### createSetNotNullToModel

          public MergerToken createSetNotNullToModel(DbEntity entity,
                                                     DbAttribute column)

    - #### createSetNotNullToDb

          public MergerToken createSetNotNullToDb(DbEntity entity,
                                                  DbAttribute column)

    - #### createSetAllowNullToModel

          public MergerToken createSetAllowNullToModel(DbEntity entity,
                                                       DbAttribute column)

    - #### createSetAllowNullToDb

          public MergerToken createSetAllowNullToDb(DbEntity entity,
                                                    DbAttribute column)

    - #### createSetValueForNullToDb

          public MergerToken createSetValueForNullToDb(DbEntity entity,
                                                       DbAttribute column,
                                                       ValueForNullProvider valueForNullProvider)

    - #### createSetColumnTypeToModel

          public MergerToken createSetColumnTypeToModel(DbEntity entity,
                                                        DbAttribute columnOriginal,
                                                        DbAttribute columnNew)

    - #### createSetColumnTypeToDb

          public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                                     DbAttribute columnOriginal,
                                                     DbAttribute columnNew)

    - #### createAddRelationshipToDb

          public MergerToken createAddRelationshipToDb(DbEntity entity,
                                                       DbRelationship rel)

    - #### createAddRelationshipToModel

          public MergerToken createAddRelationshipToModel(DbEntity entity,
                                                          DbRelationship rel)

    - #### createDropRelationshipToDb

          public MergerToken createDropRelationshipToDb(DbEntity entity,
                                                        DbRelationship rel)

    - #### createDropRelationshipToModel

          public MergerToken createDropRelationshipToModel(DbEntity entity,
                                                           DbRelationship rel)

    - #### createSetPrimaryKeyToDb

          public MergerToken createSetPrimaryKeyToDb(DbEntity entity,
                                                     Collection<DbAttribute> primaryKeyOriginal,
                                                     Collection<DbAttribute> primaryKeyNew,
                                                     String detectedPrimaryKeyName)

    - #### createSetPrimaryKeyToModel

          public MergerToken createSetPrimaryKeyToModel(DbEntity entity,
                                                        Collection<DbAttribute> primaryKeyOriginal,
                                                        Collection<DbAttribute> primaryKeyNew,
                                                        String detectedPrimaryKeyName)

Copyright © 2001–2018 Apache Cayenne. All rights reserved.